class i {
  items = {};
  head = 0;
  tail = 0;
  /**
   * Encola un elemento
   */
  enqueue(t) {
    this.items[this.tail] = t, this.tail++;
  }
  /**
   * Desencola un elemento
   */
  dequeue() {
    if (this.head === this.tail)
      return;
    const t = this.items[this.head];
    return delete this.items[this.head], this.head++, t;
  }
  size() {
    return this.tail - this.head;
  }
  isEmpty() {
    return this.size() === 0;
  }
}
export {
  i as ObjectQueue
};
